.app_container{
    width: 100vw;
    position: relative;
    min-height: 100vh;    
}

.head_bg {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 16px;
}

.head_pic {
    width: 126px;
    height: 126px;
}

.describe {
    margin: 30px 15px 0 15px;
    padding: 15px 15px;
    border-radius: 25px;
    background-color: #F7F7F7;
}

.horizontal-scroll {
    margin: 10px 15px 0 15px;
    overflow-x: auto;
    /* 开启横向滚动 */
    white-space: nowrap;
    /* 强制不换行 */
    /* 隐藏滚动条 */
    -ms-overflow-style: none;
    scrollbar-width: none;
}

/* 针对WebKit浏览器（Chrome、Safari等）隐藏滚动条 */
.horizontal-scroll::-webkit-scrollbar {
    display: none;
}


.prompt_list {
    display: flex;
    /* 横向排列 */
    flex-wrap: wrap;
    gap: 12px;
    /* 元素间距 */
    padding: 5px 0;
    width: 1350px;
}

.prompt_list>div {
    padding: 10px 15px;
    border: 1px solid #E6E6E6;
    border-radius: 10px;
    font-weight: bolder;
    font-size: 14px;
}

.chat_list {
    margin: 10px 15px 0 15px;
    display: flex;
    flex-direction: column;
    gap: 12px;

}

.user_chat {
    display: flex;
    justify-content: flex-end;
}

.user_chat_right {
    background-color: #3383FE;
    color: #ffffff;
    padding: 8px 15px;
    border-radius: 10px;
}

.assistant_chat {
    background-color: #F7F7F7;
    padding: 8px 15px;
    border-radius: 10px;
}

.input_box {
    background-color: #f7f7f7;
    position: fixed;
    z-index: 99;
    width: 100%;
    padding-bottom: env(safe-area-inset-bottom);
    padding-bottom: constant(safe-area-inset-bottom);
    bottom: 0;
    padding-bottom: 46px;
    box-shadow: 0 -2px 4px rgba(0, 0, 0, 0.1);
    /* 上方向阴影 */
}

.input_box_sub {
    margin: 10px 15px 24px 15px;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    padding: 6px 15px;
    border: 1px solid #DEDEDE;
    /* 阴影设置 - 水平偏移 垂直偏移 模糊半径 扩散半径 颜色 */

    border-radius: 15px;
    background-color: #ffffff;
}


.input_box_sub_text {
    flex: 1;
    display: flex;
    margin-right: 15px;
}

.input_box_sub_text textarea {
    flex: 1;
    min-height: 32px;
    line-height: 32px;
    font-size: 18px;
    /* background-color: rebeccapurple; */

}

.input_box_sub_send {
    display: flex;
    width: 40px;
    height: auto;
    flex-direction: column;
    align-items: center;
}

.input_box_sub_send img {
    height: 32px;
    width: 32px;
}

.copy-container {
    display: flex;
    justify-content: flex-end;
    /* background-color: yellow; */
}

.copy-container .do_it_again{
    padding: 4px 26px;
    background-color: #E4E4E4;
    border-radius: 15px;
}

.copy-container .copy{
    margin-left: 14px;
    padding: 4px 26px;
    background-color: #3383FE;
    color: #ffffff;
    border-radius: 15px;
}

